> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create SSH key

> Creates an SSH public key for SFTP storage access. These keys are used for passwordless authentication to SFTP storages and are not used for S3-compatible storage.
Deprecated, use POST /provisioning/v1/key instead.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml put /storage/provisioning/v1/key
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/provisioning/v1/key:
    put:
      tags:
        - SSHKeys
      summary: Create SSH key
      description: >-
        Creates an SSH public key for SFTP storage access. These keys are used
        for passwordless authentication to SFTP storages and are not used for
        S3-compatible storage.

        Deprecated, use POST /provisioning/v1/key instead.
      operationId: keyCreateHttp
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                name:
                  type: string
        required: false
      responses:
        '200':
          description: Key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Key'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '409':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
      deprecated: true
components:
  schemas:
    Key:
      type: object
      properties:
        created_at:
          type: string
          description: ISO 8601 timestamp when the SSH key was created
          format: date-time
          example: '2025-08-05T09:15:00Z'
        id:
          type: integer
          description: Unique identifier for the SSH key
          format: int64
          example: 123
        name:
          type: string
          description: User-defined name for the SSH key
          example: my-production-key
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````